Subject: Re: bug#8615: Please make sure v q removes the buffer for JPGs just like it does for other files

From: Juri Linkov <[email-masked]>
Date: Wed, 23 Nov 2011 22:00:51 +0200

> I'm not sure it's the right behavior: I do think that we want to move
> towards merging View-quit and quit-window, but other than that I don't
> know because I like my Emacs to accumulate buffers.

That's the main problem: some users like to accumulate buffers
and some users don't like.  So there should be an option to disable
accumulating by `q'.  One variant is remap such as you recommended in
http://lists.gnu.org/archive/html/emacs-devel/2011-10/msg01136.html
Another variant is adding a defcustom such as `quit-window-kills'.
It seems defcustom is more user-friendly.